using System;
using System.Collections;
using System.Collections.Generic;
using Server;
using Server.Commands;
using Server.Items;


namespace Server
{
	public class SBReplace
	{
		public Item m_item;
		
		public static void Initialize()
		{
			CommandSystem.Register( "SBReplace", AccessLevel.Administrator, new CommandEventHandler( SBReplace_OnCommand ) );
		}
		
		private static void SBReplace_OnCommand( CommandEventArgs e )
		{
			Mobile from = e.Mobile;
			
			ItemCheck ( from );
		}
		
		public static void ItemCheck( Mobile from )
		{
			if ( from == null )
				return;
			
			ArrayList templist = new ArrayList();
			ArrayList tempstorage = new ArrayList();
			
			foreach (Item item in World.Items.Values)
			{
				if ( item is BookOfChivalry || item is Spellbook || item is NecromancerSpellbook || item is BookOfNinjitsu ||
				    item is BookOfBushido || item is SpellweavingBook || item is ClericSpellbook || item is DruidSpellbook ||
				    item is SongBook || item is RangerSpellbook || item is RogueSpellbook )
				{
					templist.Add(item);
				}
			}
			
			foreach ( Item item in templist )
			{
				SpellbookCertificate scert = new SpellbookCertificate();
				scert.MoveToWorld( item.Location, item.Map );
			}
		}
	}
}

